/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mit Apr 10 19:46:42 CEST 2002
    copyright            : (C) 2002 by Birgit Schulz
    email                : B.Schulz@Superlehrer.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
//KDE-Header
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

//Qt-Header


//Eigener Header
#include "kmathtool.h"
#include "kmathtoolview.h"
#include "factors.h"
#include "version.h"


static const char *description =
	I18N_NOOP("KMathTool");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kmathtool", I18N_NOOP("KMathTool"),
    KMATHTOOL_VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Birgit Schulz", 0, 0, "B.Schulz@Superlehrer.de");
  aboutData.addAuthor("Birgit Schulz",0, "B.Schulz@Superlehrer.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.


 	
 
  
	KApplication a;
 	KMathTool *kmathtool = new KMathTool();
	a.setMainWidget(kmathtool);
	kmathtool->show();  

  	return a.exec();
}
